Subject: Re: Is the linux-2.6.25.4 compatible with freescale lite5200b?

From: Detlev Zundel <[email-masked]>
Date: Sat, 07 Jun 2008 13:03:17 +0200

Hi Mike,

> You are closer than you think with the ARCH=powerpc. You need to load one more
> binary file into ram and specify one more address for bootm. You need to load
> the device tree blob (DENX addresses this at http://www.denx.de/wiki/view/DULG/
> LinuxFDTBlob). Thanks again DENX?

As you may have noticed, this is a wiki, so many people participated in
writing up the documentation...

> Following your ARCH=powerpc build you should see a NEW file in your build
> output: rootfs/boot/lite5200b.dtb

Just as a reminder, as U-Boot needs to fill in at least the "chosen"
node in the fdt passed to the kernel, we have to reserve some space in
the .dtb file.  This can easily be done during the "normal" kernel
compilation by

export DTS_FLAGS="-R4 -S0x3000"

before the compilation.

> 1)       edit arch/powerpc/boot/dts/lite5200b.dts
>
> a.       change line 45 to:        reg = <00000000 8000000>   // change to 128M
> from 256M.

Someone needs to look into this, because usually the amount of RAM
should be passed correctly to the Linux kernel after dynamically finding
the correct amount.

Cheers
  Detlev

--
DENX Software Engineering GmbH,      MD: Wolfgang Denk & Detlev Zundel
HRB 165235 Munich,  Office: Kirchenstr.5, D-82194 Groebenzell, Germany
Phone: (+49)-8142-66989-40 Fax: (+49)-8142-66989-80 Email: [email-masked]